import 'package:frontend_eccp_mobile/modules/auth/login/data/datasources/login_remote_datasource.dart';
import 'package:frontend_eccp_mobile/modules/auth/login/data/model/login_request.dart';
import 'package:frontend_eccp_mobile/modules/auth/login/data/model/login_response.dart';
import 'package:injectable/injectable.dart';

@lazySingleton
class LoginRepository {
  LoginRepository(this._remoteDatasource);

  final LoginRemoteDataSource _remoteDatasource;

  Future<LoginResponse> login(LoginRequest request) async {
    return _remoteDatasource.login(request);
  }
}
